Get execution case attachments
GET/project/executionCases/:executionCaseID/attachments
Get attachment metadata and temporary download URLs for an execution case.
The attachment resource does not contain field or step ownership. For a step actual result, use actualResult.attachmentIDs in the execution case detail response to identify the attachments referenced by that rich text.
The time range is inclusive and cannot exceed one year. With no time bounds, the last year is used. With only one bound, the other is derived one year away. Results are ordered by creation time descending, then ID descending. Use data.pageInfo.endCursor as the next cursor while hasNextPage is true.
Request
Path Parameters
The id of the execution case.
Query Parameters
The team ID
The start of attachment created time. Unix timestamp; seconds, milliseconds, and microseconds are accepted.
The end of attachment created time. Unix timestamp; seconds, milliseconds, and microseconds are accepted.
Possible values: <= 100
Default value: 50
The number returned by this request.The default value is 50, exceeding 100 will be truncated to 100
The starting location of this request
Responses
- 200
- 401
- 403
- 404
- 500
Request is successful.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
data
object
list
object[]
The file id.
The file name.
The time when the file was uploaded.
creator
object
The temporary download URL.
pageInfo
object
Page information.
The number returned this time.
The last cursor on this page is generally used to turn pages.
Is there a next page.
The first cursor on this page is generally used to turn pages.
The total number of items available in the entire collection, including those that are returned in the current response.
The result of this request.
The error code of this request.
Error message for this request.
Error meta data for this request.
{
"data": {
"list": [
{
"id": "string",
"name": "string",
"createTime": 0,
"creator": {
"id": "string",
"name": "string"
},
"hash": "string",
"mime": "string",
"sizeByte": 0,
"description": "string",
"tempURL": "string"
}
],
"pageInfo": {
"count": 0,
"endCursor": "string",
"hasNextPage": true,
"startCursor": "string",
"totalCount": 0
}
},
"result": "string",
"errorCode": "string",
"errorMsg": "string",
"errorData": {}
}
Returned if the authentication credentials are incorrect or missing.
- application/json
- Schema
- Example (from schema)
Schema
The result of this request.
The error code of this request.
Error message for this request.
{
"result": "FAIL",
"errorCode": "Unauthorized",
"errorMsg": "Access token is invalid"
}
Returns if the scope check fails.
- application/json
- Schema
- Example (from schema)
Schema
The result of this request.
The error code of this request.
Error message for this request.
{
"result": "FAIL",
"errorCode": "Forbidden",
"errorMsg": "Scope is invalid"
}
Returned if the resource object was not found.
- application/json
- Schema
- Example (from schema)
Schema
The result of this request.
The error code of this request.
Error message for this request.
{
"result": "FAIL",
"errorCode": "NotFound",
"errorMsg": "Not Found"
}
Internal Server Error.
- application/json
- Schema
- Example (from schema)
Schema
The result of this request.
The error code of this request.
Error message for this request.
{
"result": "FAIL",
"errorCode": "Internal Server Error",
"errorMsg": "Internal Server Error"
}